Inbox
Update a thread
PATCH
apiKeyheader
AuthorizationBearer <token>An API key from the web app, under Developers. It starts with rz_live_.
id*stringapplication/json- body
status?stringValue in
"open""done"unread?booleanassigneeId?string|nullOK
application/json- response
id*stringprofileId*stringaccountId*stringnetwork*stringValue in
"instagram""facebook""threads""linkedin""tiktok""youtube""x""pinterest""google"kind*stringValue in
"comment""dm""mention""review"contact*postId*string|nullpreview*stringlastMessageAt*stringFormat
date-timeunread*booleanstatus*stringValue in
"open""done"assignee*||nullsentiment*stringValue in
"positive""neutral""negative"curl -X PATCH 'https://api.rizamo.com/v1/inbox/threads/string' \ -H 'Content-Type: application/json' \ -d '{}'Example Response200
{ "id": "string", "profileId": "string", "accountId": "string", "network": "instagram", "kind": "comment", "contact": { "name": "string", "handle": "string", "initials": "string", "color": "string", "avatarUrl": "string" }, "postId": "string", "preview": "string", "lastMessageAt": "2019-08-24T14:15:22Z", "unread": true, "status": "open", "assignee": { "type": "agent", "agent": "claude", "name": "string" }, "sentiment": "positive"}